package com.hzya.frame.mdm.mdmModuleDbFiledsRuleFiles.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 模版数据库字段规则档案表(MdmModuleDbFiledsRuleFiles)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:30:13
 */
public class MdmModuleDbFiledsRuleFilesEntity extends BaseEntity {

    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 规则编码
     */
    private String ruleCode;
    /**
     * 规则类型 1、表单属性 2、控件属性
     */
    private String ruleType;
    /**
     * 规则值
     */
    private String ruleValue;


    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleType() {
        return ruleType;
    }

    public void setRuleType(String ruleType) {
        this.ruleType = ruleType;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

}

